> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nedzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an extraction field

> Delete one of an agent's extraction fields.

> [!NOTE]
>
> This endpoint is for the VIP plan only. Other plans get a `403`. See [Plan access](https://docs.nedzo.ai/api-reference/introduction.md#plan-access).

Returns `204`.

## Path Parameters

**agentId** `string` *required*

Agent UUID

**fieldId** `string` *required*

Extraction field UUID

```bash cURL theme={null}
curl -X DELETE "https://api.nedzo.ai/v1/agents/123e4567-e89b-12d3-a456-426614174000/extraction-fields/2c4e6f80-1a3b-4c5d-8e9f-0a1b2c3d4e5f" \
    -H "Authorization: Bearer YOUR_API_KEY"
```

```json Response theme={null}
// 204 No Content
```

## Errors

| Status | When |
| - | - |
| `400` | An id is not a valid UUID. |
| `404` | The agent or field is not in your API key's scope. |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.